//
//  DatePickerExampleViewController.m
//

#import "DatePickerExampleViewController.h"

@implementation DatePickerExampleViewController

@synthesize dateLabel, selectedDate;

- (void)redrawDate
{
	NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
	[dateFormatter setDateStyle:NSDateFormatterShortStyle];
	NSDateFormatter *timeFormatter = [[NSDateFormatter alloc] init];
	[timeFormatter setTimeStyle:NSDateFormatterShortStyle];
	
	dateLabel.text = [NSString stringWithFormat:@"%@, %@", 
						 [dateFormatter stringFromDate:selectedDate],
						 [timeFormatter stringFromDate:selectedDate]];
	
	[timeFormatter release];
	[dateFormatter release];	
}

- (IBAction)changeDate:(id)sender
{
	DateTimePicker *controller = [[DateTimePicker alloc] init];
	controller.delegate = self;
	controller.defaultDate = selectedDate;
	[self presentModalViewController:controller animated:YES];
	[controller release];
}

- (void)dateTimePickerOK:(DateTimePicker *)controller didPickDate:(NSDate *)date
{
	self.selectedDate = date;
	[self redrawDate];
	
	[controller dismissModalViewControllerAnimated:YES];
}

- (void)dateTimePickerCancel:(DateTimePicker *)controller
{
	[controller dismissModalViewControllerAnimated:YES];
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	
	self.selectedDate = [NSDate date];
	[self redrawDate];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
