//
//  DateTimePicker.m
//

#import "DateTimePicker.h"

@implementation DateTimePicker

@synthesize datePicker, delegate, defaultDate;

- (IBAction)savePressed:(id)sender
{
	if (delegate && [delegate respondsToSelector:@selector(dateTimePickerOK:didPickDate:)]) 
	{
		[delegate dateTimePickerOK:self didPickDate:datePicker.date];
	}
}

- (IBAction)cancelPressed:(id)sender
{
	if (delegate && [delegate respondsToSelector:@selector(dateTimePickerCancel:)]) 
	{
		[delegate dateTimePickerCancel:self];
	}
}

- (void)viewDidLoad 
{
    [super viewDidLoad];
	
	[datePicker setDate:defaultDate animated:YES];
}

- (void)didReceiveMemoryWarning 
{
    [super didReceiveMemoryWarning];
}

- (void)viewDidUnload 
{
    [super viewDidUnload];
}

- (void)dealloc 
{
	[datePicker release];
	[defaultDate release];
	
    [super dealloc];
}

@end
